package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 广告表
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("advertise")
public class Advertise implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 顺序
     */
    private Integer order;

    /**
     * 上线时间
     */
    private Date time;

    /**
     * 1图片，0视频
     */
    private Boolean type;

    /**
     * 路径
     */
    private String src;

    /**
     * 持续时间 毫秒
     */
    private Integer duration;

    private String describe;


}
