package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 安卓版本号
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("version")
public class Version implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 整数版本号
     */
    @TableId(value = "ver", type = IdType.AUTO)
    private Integer ver;

    /**
     * 名称
     */
    private String name;

    /**
     * 下载地址
     */
    private String url;


}
