package com.huimv.wine.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.wine.entity.Change;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.wine.entity.vo.QueryAdminVo;

import java.util.List;
import com.huimv.wine.entity.vo.ChangeQueryResult;
import com.huimv.wine.entity.vo.RankAdminsVo;
import com.huimv.wine.entity.vo.RankDevicesVo;

/**
 * <p>
 * 换酒记录 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
public interface ChangeMapper extends BaseMapper<Change> {

    ChangeQueryResult changeDetail(Integer id);

    List<QueryAdminVo> changeQueryWorker(String id);

    List<QueryAdminVo> changeQueryWorker2(String id,Integer days,String type);

    List<RankAdminsVo> ChangeRankWorkersForAdmin(String manager, String start, String end);

    List<QueryAdminVo> ChangeQueryWorkerForAdmin(String managerId, String id);

    List<QueryAdminVo> ChangeQueryWorkerForAdmin2(String managerId, String id, Integer days,String type);

    Page<ChangeQueryResult> changesQuery(Page<ChangeQueryResult> page, String managerId, String workerId, String like, Integer status);
}
