package com.huimv.wine.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.wine.entity.Wine;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.wine.entity.vo.WineWithIdNameVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 酒 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
public interface WineMapper extends BaseMapper<Wine> {

    Wine selectWineById(@Param(value = "id")Integer id);

    Page<Wine> WinesQuery(Page<Wine> page, String cond);

    Page<Wine> WinesQuery2(Page<Wine> page, String cond);

    void WinesDelete(@Param(value = "ids") List<Integer> ids);

    List<WineWithIdNameVo> WinesQueryByIdOrName(String like);
}
