package com.huimv.wine.service.impl;

import com.huimv.wine.entity.Device;
import com.huimv.wine.mapper.DeviceMapper;
import com.huimv.wine.service.IDeviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Service
public class DeviceServiceImpl extends ServiceImpl<DeviceMapper, Device> implements IDeviceService {

    @Autowired
    private DeviceMapper deviceMapper;
    @Override
    public Device getByDeviceId(String seq) {
        return  deviceMapper.getByDeviceId(seq);
    }
}
