package com.huimv.wine.utils;

import lombok.Data;

import java.io.Serializable;

@Data
public class Result implements Serializable {

    private boolean status;
    private Object data;
    private String msg;

    public Result(boolean status, Object data, String msg) {
        this.status = status;
        this.data = data;
        this.msg = msg;
    }
    public static Result success(Object data){
        return new Result(true,data,"success");
    }

    public static Result fail(String msg){
        return new Result(false,null,msg);
    }
}
