package com.huimv.wine.wxpay;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class WxConfig {

    @Value("${wx.pay_title}")
    private String payTitle;

    @Value("${wx.merchant_acc}")
    private String merchantAcc;

    @Value("${wx.app_id}")
    private String appId;

    @Value("${wx.api_cert_seq}")
    private String apiCertSeq;

    @Value("${wx.api_cert_path}")
    private String apiCertPath;

    @Value("${wx.api_v3_key}")
    private String apiV3Key;


}
